<?php
/*
simple-gitv - a simple, libre web-based Git project viewer
Copyright (C) 2020

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// strip repo/raw/master/
$path = $url;
for ($i = 0; $i < 3; $i++) {
	$path = after_first_slash($path);
}

// set header by filetype
// TODO: add other filetypes
if (ends_with($path,".jpg") || ends_with($path,".jpeg")) {
	header("Content-type: image/jpeg");
} elseif (ends_with($path,".png")) {
	header("Content-type: image/png");
} elseif (ends_with($path,".gif")) {
	header("Content-type: image/gif");
} else {
	header("Content-type: text/plain");
}

// output file bytes
passthru("cd $git_dir && git show --pretty=raw HEAD:$path");
?>
